Skip to content
Start here

Delete CF1 Site

client.magicTransit.cf1Sites.delete(stringcf1SiteId, Cf1SiteDeleteParams { account_id } params, RequestOptionsoptions?): Cf1Site { name, id, created_on, 3 more }
DELETE/accounts/{account_id}/magic/cf1_sites/{cf1_site_id}

Deletes a specific CF1 Site for an account.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Magic WAN WriteMagic Transit Write
ParametersExpand Collapse
cf1SiteId: string

Identifier

maxLength32
params: Cf1SiteDeleteParams { account_id }
account_id: string

Identifier

maxLength32
ReturnsExpand Collapse
Cf1Site { name, id, created_on, 3 more }
name: string

A human-provided name describing the CF1 Site that should be unique within the account.

id?: string

Identifier

maxLength32
created_on?: string
formatdate-time
description?: string

A human-provided description of the CF1 Site.

location?: Cf1SiteLocation { lat, long, name }
lat?: number

Latitude of the CF1 Site.

formatfloat
long?: number

Longitude of the CF1 Site.

formatfloat
name?: string

Name of nearest town, city, or village.

modified_on?: string
formatdate-time

Delete CF1 Site

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const cf1Site = await client.magicTransit.cf1Sites.delete('023e105f4ecef8ad9ca31a8372d0c353', {
  account_id: '023e105f4ecef8ad9ca31a8372d0c353',
});

console.log(cf1Site.id);
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "name": "Pad 34",
    "id": "023e105f4ecef8ad9ca31a8372d0c353",
    "created_on": "2019-12-27T18:11:19.117Z",
    "description": "Launch Pad 34",
    "location": {
      "lat": 28.521339842093845,
      "long": -80.56092644815843,
      "name": "Cape Canaveral"
    },
    "modified_on": "2019-12-27T18:11:19.117Z"
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "name": "Pad 34",
    "id": "023e105f4ecef8ad9ca31a8372d0c353",
    "created_on": "2019-12-27T18:11:19.117Z",
    "description": "Launch Pad 34",
    "location": {
      "lat": 28.521339842093845,
      "long": -80.56092644815843,
      "name": "Cape Canaveral"
    },
    "modified_on": "2019-12-27T18:11:19.117Z"
  },
  "success": true
}